Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request POST \
--url https://api.voucherify.io/v2/loyalties/programs/{programId}/members/{memberId}/deactivate \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "<string>",
"customer_id": "<string>",
"program_id": "<string>",
"status": "ACTIVE",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Deactivates an active member. The program must exist and the member must be in a state that allows deactivation (i.e., ACTIVE). Fails if the member is already INACTIVE or DELETED.
curl --request POST \
--url https://api.voucherify.io/v2/loyalties/programs/{programId}/members/{memberId}/deactivate \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "<string>",
"customer_id": "<string>",
"program_id": "<string>",
"status": "ACTIVE",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique program identifier
Unique member identifier
Member deactivated successfully
Unique member identifier
Associated customer identifier
Program the member belongs to
Current member status
ACTIVE, INACTIVE, DELETED Custom key-value metadata
ISO 8601 creation timestamp
ISO 8601 last update timestamp
"member"Was this page helpful?